/*
 * (c) 2001 Daniel Serpell C.
 */
 
/*
 * debug.h : Header macros para facilitar el debug.
 */
#ifndef _DEBUG_H_
#define _DEBUG_H_

#define DPRINTF(fmt, args...)  fprintf (stderr, "%s::%s[%d]: " fmt, __FILE__, __FUNCTION__ , __LINE__ ,  ## args )
#define EPRINTF(fmt, args...)  fprintf (stderr, "%s::%s[%d]: " fmt " - %s\n", __FILE__, __FUNCTION__ , __LINE__ ,  ## args , strerror(errno))

#endif /* _DEBUG_H_ */

